Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fedict.eid.applet.service
Enum SpecialStatus

    java.lang.Object
      java.lang.Enum<SpecialStatus>
          be.fedict.eid.applet.service.SpecialStatus

All Implemented Interfaces:
  Serializable, Comparable<SpecialStatus>

    public enum SpecialStatus

extends Enum<SpecialStatus>
implements Serializable

eID Special Status.

Author:
  Frank Cornelis

Enum Constant Summary
`EXTENDED_MINORITY`
`NO_STATUS`
`WHITE_CANE`
`WHITE_CANE_EXTENDED_MINORITY`
`YELLOW_CANE`
`YELLOW_CANE_EXTENDED_MINORITY`

Method Summary
`boolean` | `hasBadSight()` Return whether the citizen has a bad sight.
`boolean` | `hasExtendedMinority()` Extended Minority.
`boolean` | `hasWhiteCane()` Returns whether the citizen has a white cane.
`boolean` | `hasYellowCane()` Returns whether the citizen has a yellow cane.
`static SpecialStatus` | `toSpecialStatus(String value)` Converts the given string to the corresponding special status enum.
`static SpecialStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SpecialStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_STATUS

    public static final SpecialStatus NO_STATUS

### WHITE_CANE

    public static final SpecialStatus WHITE_CANE

### EXTENDED_MINORITY

    public static final SpecialStatus EXTENDED_MINORITY

### WHITE_CANE_EXTENDED_MINORITY

    public static final SpecialStatus WHITE_CANE_EXTENDED_MINORITY

### YELLOW_CANE

    public static final SpecialStatus YELLOW_CANE

### YELLOW_CANE_EXTENDED_MINORITY

    public static final SpecialStatus YELLOW_CANE_EXTENDED_MINORITY

Method Detail

### values

    public static SpecialStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SpecialStatus c : SpecialStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SpecialStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### hasWhiteCane

    public boolean hasWhiteCane()

  Returns whether the citizen has a white cane. Blind people.

  Returns:

### hasExtendedMinority

    public boolean hasExtendedMinority()

  Extended Minority.

  Returns:

### hasYellowCane

    public boolean hasYellowCane()

  Returns whether the citizen has a yellow cane. Partially sighted people.

  Returns:

### hasBadSight

    public boolean hasBadSight()

  Return whether the citizen has a bad sight. This means the citizen has either a while cane or a yellow cane.

  Returns:

### toSpecialStatus

    public static SpecialStatus toSpecialStatus(String value)

  Converts the given string to the corresponding special status enum.

  Parameters:
    `value` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.